{% extends 'base.html.twig' %}

{% block website %}

    <div class="breadcrumbs">
        <div class="inner">
            <a href="{{ path('home') }}" class="breadcrumbs-item">Главная</a>
            <a href="{{ path('article') }}" class="breadcrumbs-item">ПреМудрости</a>
        </div>
    </div>

    <section>
        <div class="inner">
            <div class="head-title">{{ article.title }}</div>
            <div class="article-content">
                {{ article.content | raw }}
            </div>

            {% if article.articleGallery is defined and article.articleGallery is not null and article.articleGallery.count > 0 %}
                <div class="article-gallery">
                    <div class="article-gallery__slider">
                        <div class="article-gallery__list">
                            {% for gallery in article.articleGallery %}
                                <div class="article-gallery__item">
                                    <div class="article-gallery__item-inner">
                                        <a href="{{ asset('assets/uploads/images/' ~ gallery.filename|visual)}}">
                                            <img src="{{ asset('assets/uploads/images/' ~ gallery.filename|visual) | imagine_filter('medium')}}"/>
                                        </a>
                                    </div>
                                </div>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            {% endif %}

        </div>
    </section>

    {% if article.tags is defined and article.tags is not null and  article.tags.count > 0 %}
        <section>
            <div class="inner">
                <div class="article-content">
                    {% for tag in article.tags %}
                    <a href="{{ path('article', {'tag' : tag.id}) }}">#{{ tag.name }}</a>&nbsp;&nbsp;
                    {% endfor %}
                </div>

                {% if products is not null %}
                <hr>
                <div class="product-list">
                    {{ products | raw }}
                </div>
                {% endif %}
            </div>
        </section>
    {% endif %}

{% endblock %}

{% block microdata %}
    <script type='application/ld+json'>
{
    "@context": "https://www.schema.org",
    "@graph": [
    {
        "@type": "Article",
        "headline": "{{ article.title }}",
{% if article.visualFilename is defined and article.visualFilename is not null %}
        "image": "{{ absolute_url(asset('assets/uploads/images/' ~ article.visualFilename|visual)) }}",
{% endif %}
        "mainEntityOfPage": {
            "@type": "WebPage",
            "@id": "{{ url('articleItem', {'slug': article.slug}) }}"
        },
        "author": {
            "@type": "Organization",
            "name": "Сувенирный промысел"
        },
        "publisher": {
            "@type": "Organization",
            "name": "Сувенирный промысел"
        },
        "datePublished": ""
    },
    {
        "@type": "BreadcrumbList",
        "itemListElement": [
        {
            "@type": "ListItem",
            "position": 1,
            "name": "Главная",
            "item": "{{ url('home') }}"
        },
        {
            "@type": "ListItem",
            "position": 2,
            "name": "ПреМудрости",
            "item": "{{ url('article') }}"
        },
        {
            "@type": "ListItem",
            "position": 3,
            "name": "{{ article.title }}",
            "item": "{{ url('articleItem', {'slug': article.slug}) }}"
        }
        ]
    }
  ]
}
</script>
{% endblock %}